# API Documentation

- [API Docs Introduction](https://support.myaskai.com/api-documentation/api-docs-introduction.md): Getting started with our API is quick and easy. With the My AskAI API you can ask questions to your My AskAI to build your apps or workflows.
- [Query API](https://support.myaskai.com/api-documentation/query-api.md): Use the Query API to create an integratation with your AI agent.
- [Chat API](https://support.myaskai.com/api-documentation/chat-api.md)
- [User Data API](https://support.myaskai.com/api-documentation/user-data-api.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.myaskai.com/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
